package com.ms.biz.service.impl;

import com.ms.biz.service.Shop1688DsAuthService;
import com.ms.dal.entity.Shop1688DsAuth;
import com.ms.dal.mapper.Shop1688DsAuthMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class Shop1688DsAuthServiceImpl implements Shop1688DsAuthService {

    @Autowired
    private Shop1688DsAuthMapper shop1688DsAuthMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return shop1688DsAuthMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(Shop1688DsAuth record) {
        return shop1688DsAuthMapper.insert(record);
    }

    @Override
    public int insertSelective(Shop1688DsAuth record) {
        return shop1688DsAuthMapper.insertSelective(record);
    }

    @Override
    public Shop1688DsAuth selectByPrimaryKey(Long id) {
        return shop1688DsAuthMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(Shop1688DsAuth record) {
        return shop1688DsAuthMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(Shop1688DsAuth record) {
        return shop1688DsAuthMapper.updateByPrimaryKey(record);
    }

    @Override
    public Shop1688DsAuth getDetailByShopId(Long shopId) {
        return shop1688DsAuthMapper.getDetailByShopId(shopId);
    }

}




